Spring Security
  1. Spring Security
  2. SEC-1161

http://www.springframework.org/schema/security/spring-security-2.5.xsd is missing

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Critical Critical
    • Resolution: Invalid
    • Affects Version/s: None
    • Fix Version/s: 3.0.0 M1
    • Component/s: None
    • Labels:
      None

      Activity

      Hide
      Luke Taylor added a comment -

      There hasn't been (and won't be) a 2.5 release therefore this schema name is now considered invalid. The next schema will be spring-security-3.0.xsd.

      Show
      Luke Taylor added a comment - There hasn't been (and won't be) a 2.5 release therefore this schema name is now considered invalid. The next schema will be spring-security-3.0.xsd.
      Hide
      Luke Taylor added a comment -

      This shouldn't be a critical issue in any case, as it will only impact the use of an XML editor which pulls the schema from the site. The code uses the version from the jar and you can set up an XML catalog in most IDEs and XML editors.

      What is the actual problem?

      Show
      Luke Taylor added a comment - This shouldn't be a critical issue in any case, as it will only impact the use of an XML editor which pulls the schema from the site. The code uses the version from the jar and you can set up an XML catalog in most IDEs and XML editors. What is the actual problem?
      Hide
      Georgy Bolyuba added a comment -

      For some reason the spring security jar I have (using Maven) does not have xsd. As the result all CI builds failed yesterday. Update to 3.0.0 seems to work, so, it is not critical.

      Show
      Georgy Bolyuba added a comment - For some reason the spring security jar I have (using Maven) does not have xsd. As the result all CI builds failed yesterday. Update to 3.0.0 seems to work, so, it is not critical.
      Hide
      Luke Taylor added a comment -

      So you are building against a snapshot of the trunk? If so that must be a bit of a bumpy ride at the moment . Certainly bleeding edge...

      Show
      Luke Taylor added a comment - So you are building against a snapshot of the trunk? If so that must be a bit of a bumpy ride at the moment . Certainly bleeding edge...
      Hide
      Georgy Bolyuba added a comment -

      Actually no Just looked at pom.xml. It is 2.0.4, but in configs it is http://www.springframework.org/schema/security/spring-security-2.5.xsd. Currently I am trying to figure out why this was done.

      Show
      Georgy Bolyuba added a comment - Actually no Just looked at pom.xml. It is 2.0.4, but in configs it is http://www.springframework.org/schema/security/spring-security-2.5.xsd . Currently I am trying to figure out why this was done.
      Hide
      Luke Taylor added a comment -

      OK. It may have been some confusion with Spring namespace versions. The next release will have aligned version numbers which should help.

      Closing the issue.

      Show
      Luke Taylor added a comment - OK. It may have been some confusion with Spring namespace versions. The next release will have aligned version numbers which should help. Closing the issue.

        People

        • Assignee:
          Luke Taylor
          Reporter:
          Georgy Bolyuba
        • Votes:
          0 Vote for this issue
          Watchers:
          0 Start watching this issue

          Dates

          • Created:
            Updated:
            Resolved: